.AUTODEPEND

#		*Translator Definitions*
CC = tcc -Qx +CSINDEX.CFG
TASM = TASM
TLINK = tlink


#		*Implicit Rules*
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) {$< }


#		*List Macros*


EXE_dependencies =  \
  csindex.obj \
  genind.obj \
  mkind.obj \
  qsort.obj \
  scanid.obj \
  scanst.obj \
  sortid.obj

#		*Explicit Rules*
csindex.exe: csindex.cfg $(EXE_dependencies)
  $(TLINK) /x/c @&&|
c:\tc\lib\c0c.obj+
csindex.obj+
genind.obj+
mkind.obj+
qsort.obj+
scanid.obj+
scanst.obj+
sortid.obj
csindex,
c:\tc\lib\emu.lib+
c:\tc\lib\mathc.lib+
c:\tc\lib\cc.lib
|


#		*Individual File Dependencies*
csindex.obj: csindex.c 

genind.obj: genind.c 

mkind.obj: mkind.c 

qsort.obj: qsort.c 

scanid.obj: scanid.c 

scanst.obj: scanst.c 

sortid.obj: sortid.c 

#		*Compiler Configuration File*
csindex.cfg: csindex.mak
  copy &&|
-mc
-N
-G
-O
-Z
-d
-V
-vi-
-wbbf
-wpin
-wamb
-wamp
-wasm
-wpro
-wcln
-wdef
-wsig
-wnod
-wstv
-wucp
-wuse
-IC:\TC\INCLUDE
-LC:\TC\LIB
| csindex.cfg


